org.apache.tinkerpop.gremlin.hadoop.structure.io.script

## Class ScriptOutputFormat

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.hadoop.structure.io.CommonFileOutputFormat
    - - org.apache.tinkerpop.gremlin.hadoop.structure.io.script.ScriptOutputFormat

- All Implemented Interfaces:
    PersistResultGraphAware, HadoopPoolsConfigurable

      public final class ScriptOutputFormat
      extends CommonFileOutputFormat
      implements HadoopPoolsConfigurable

  `ScriptInputFormat` and `ScriptOutputFormat` take an arbitrary script and use that script to either read or write Vertex objects, respectively. This can be considered the most general InputFormat/OutputFormat possible in that Hadoop-Gremlin uses the user provided script for all reading/writing.
  Author:
    Daniel Kuppitz (http://gremlin.guru)
  See Also:
    Script I/O Format Reference Documentation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<any>` | `getRecordWriter(TaskAttemptContext job)`
    `<any>` | `getRecordWriter(TaskAttemptContext job, DataOutputStream outputStream)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.hadoop.structure.io.CommonFileOutputFormat

      `getDataOutputStream, supportsResultGraphPersistCombination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.hadoop.structure.io.HadoopPoolsConfigurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### ScriptOutputFormat

          public ScriptOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public <any> getRecordWriter(TaskAttemptContext job)
                                throws IOException,
                                       InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### getRecordWriter

          public <any> getRecordWriter(TaskAttemptContext job,
                                       DataOutputStream outputStream)
                                throws IOException,
                                       InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.